# R Script File for Section 1: Getting Started in R and Data Analysis

# Command to see if R is working
sd(c(5,8,12))

# Basic Calculations
8*6
2^16

# Functions and Variables
sqrt(2)
abs(-65)
SquareRoot2 = sqrt(2)
SquareRoot2

# Vectors and Data Frames
CountryName = c("Brazil", "China", "India", "Switzerland", "USA")
CountryName
LifeExpectancy = c(74, 75, 66, 83, 79)
LifeExpectancy
CountryName[1]
LifeExpectancy[3]
seq(0,50,5)
CountryData = data.frame(CountryName, LifeExpectancy)
CountryData
str(CountryData)
CountryData$Population = c(199000, 1390000, 1240000, 7997, 318000)
str(CountryData)

# Loading CSV Files
WHO = read.csv("WHO.csv")
str(WHO)

# Subsetting Data
WHOEurope = subset(WHO, Region == "Europe")

# Basic Data Analysis
mean(WHO$Under15)
sd(WHO$Under15)
summary(WHO$Under15)
which.min(WHO$Under15)
WHO$Country[86]
which.max(WHO$Under15)
WHO$Country[124]

# Plots
plot(WHO$GNI, WHO$FertilityRate)
Outliers = subset(WHO, GNI > 10000 & FertilityRate > 2.5)
hist(WHO$CellularSubscribers)
boxplot(WHO$LifeExpectancy ~ WHO$Region)
boxplot(WHO$LifeExpectancy ~ WHO$Region, ylab = "Life Expectancy", main = "Life Expectancy of Countries by Region")

# Summary Tables
table(WHO$Region)
table(WHO$LifeExpectancy > 75)
table(WHO$Region, WHO$LifeExpectancy > 75)
tapply(WHO$Over60, WHO$Region, mean)
tapply(WHO$LiteracyRate, WHO$Region, min)
tapply(WHO$LiteracyRate, WHO$Region, min, na.rm=TRUE)
