# R Script File for Section 2: Linear Regression in R 

Wine = read.csv("Wine.csv")
str(Wine)

WineReg = lm(Price ~ WinterRain + AGST + HarvestRain + Age + FrancePop, data=Wine)
summary(WineReg)

# Refining the Model
WineReg = lm(Price ~ WinterRain + AGST + HarvestRain + Age, data=Wine)
summary(WineReg)
cor(Wine$Age, Wine$FrancePop)

# Making Predictions
WineTest = read.csv("WineTest.csv")
WinePredictions = predict(WineReg, newdata=WineTest)
SSE = sum((WineTest$Price - WinePredictions)^2)
SST = sum((WineTest$Price - mean(Wine$Price))^2)
1 - SSE/SST
